WATCH(1)

NOM
watch - Exécuter un programme périodiquement en affichant le résultat à l'écran

SYNOPSIS
watch [options] commande

DESCRIPTION
watch runs command repeatedly, displaying its output and errors (the first screenfull). This allows you to watch the program output change over time. By default, command is run every 2 seconds and watch will run until interrupted.

OPTIONS

-d, --differences [permanent]
    Surligner les différences entre les mises à jour successives. L'option lira un argument facultatif qui modifie la surbrillance de façon permanente, permettant de voir ce qui a été modifié au moins une fois depuis la première itération.

-n, --interval intervalle
    Specify update interval. The command will not allow quicker than 0.1 second interval, in which the smaller values are converted. Both '.' and ',' work for any locales.

-p, --precise
    Essayer d'exécuter commande toutes les intervalle secondes. Essayez avec ntptime et regardez comme les fractions de seconde ne changent quasiment pas, contrairement au mode normal où elles augmentent continuellement.

-t, --no-title
    Cacher l'en-tête contenant l'intervalle, la commande et la date actuelle en haut de l'affichage, ainsi que la ligne blanche qui suit.

-b, --beep
    Émettre un bip lorsque le code de retour de la commande est non nul.

-e, --errexit
    Geler les mises à jour en cas d'erreur de la commande et quitter après avoir appuyé sur une touche.

-g, --chgexit
    Terminer quand la sortie de commande est modifiée.

-c, --color
    Interpréter les suites et style de couleur ANSI.

-x, --exec
    Pass command to exec(2) instead of sh -c which reduces the need to use extra quoting to get the desired effect.

-h, --help
    Afficher l'aide et quitter.

-v, --version
    Afficher la version du logiciel et quitter.

CODES DE RETOUR

    0   Réussite.
    1   Erreurs diverses.
    2   Échec lors du dédoublement (« fork ») du processus à observer.
    3   Échec de remplacement de la sortie standard du processus fils par une écriture vers le tube.
    4   Échec d'exécution de la commande.
    5   Échec de la fermeture d'écriture vers le tube du processus fils.
    7   Échec de la création du tube IPC.
    8   Le processus fils n'a pas pu renvoyer une valeur avec waitpid(2) ou la commande s'est terminée en erreur.
    autre
        L'observation propagera l'état du code de retour en tant que code de retour du fils.

NOTES
POSIX option processing is used (i.e., option processing stops at the first non-option argument). This means that flags after command don't get interpreted by watch itself.

BOGUES
Lors du redimensionnement d'un terminal, l'écran ne sera pas rafraîchi correctement avant la prochaine exécution. Les mises en évidence dues à --differences sont également perdues. Les caractères non imprimables de la sortie du programme sont ignorés. Utilisez « cat -v » pour les afficher. La combinaison de caractères supposés s'afficher en dernière colonne de l'écran risque de s'afficher dans la colonne précédente ou pas du tout. Les combinaisons de caractères ne sont jamais considérées différentes en mode --differences. Seul le caractère de base est considéré. Les lignes blanches qui suivent directement une ligne s'arrêtant en dernière colonne ne sont pas affichées Le mode --precise ne dispose pas encore de fonctions de temporisation pour compenser une commande dont le temps d'exécution est supérieure à secondes secondes. watch peut également lancer en rafales autant d'exécution de commande que possible pour rattraper une exécution précédente qui aurait pris plus de secondes secondes à s'exécuter (par exemple, netstat prend beaucoup de temps pour effectuer une interrogation DNS).

EXEMPLES
Pour vérifier les courriels :
    watch -n 60 from
Pour afficher les changements dans le contenu d'un répertoire :
    watch -d ls -l
Pour n'afficher que les fichiers appartenant à arthur :
    watch -d 'ls -l | fgrep arthur'
Pour vérifier l'effet des guillemets :
    watch echo $$
    watch echo '$$'
    watch echo "'"'$$'"'"
Pour vérifier l'effet du temps de maintien de la précision, essayez en ajoutant -p à
    watch -n 10 sleep 1
Pour vérifier que l'administrateur a installé le dernier noyau avec
    watch uname -r
Notez que -p peut ne pas fonctionner entre deux redémarrages, à cause de ntpdate ou d'autres programmes modifiant la date au démarrage.